package com.junmp.jyzb.service;

import com.junmp.jyzb.api.bean.req.ManufacturerReq;
import com.junmp.jyzb.entity.Manufacturer;
import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.v2.db.api.page.PageResult;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
* @author lxh专属坐骑
* @description 针对表【base_manufacturer】的数据库操作Service
* @createDate 2023-09-15 10:15:29
*/
public interface ManufacturerService extends IService<Manufacturer> {

    String addManufacturer(ManufacturerReq req);

    boolean updateManufacturer(ManufacturerReq req);

    List<Manufacturer> showManufacturerList(ManufacturerReq req);

    PageResult<Manufacturer> showManufacturerPage(ManufacturerReq req);

    boolean delManufacturer(ManufacturerReq req);
}
